package subscribeplansvc

import (
	subscribeplanrepository "legalgo-BE-go/internal/accessor/subscribeplan"
	subscribeplandomain "legalgo-BE-go/internal/domain/subscribe_plan"
)

type SubsPlanSvc struct {
	subsAccs subscribeplanrepository.SubsPlanIntf
}

type SubsPlanIntf interface {
	CreatePlan(subscribeplandomain.SubscribePlanReq) error
	GetAllPlan() ([]subscribeplandomain.SubscribePlan, error)
}

func New(
	subsAccs subscribeplanrepository.SubsPlanIntf,
) SubsPlanIntf {
	return &SubsPlanSvc{subsAccs}
}
